<?php
# Copyright (C) 2011 Matthew Wronka <murder@projects.matt.wronka.org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>
####
#### Configuration settings
####
#### You should not change this file.
#### For a local installation, edit config.local.inc
#### If that file exists, it will be included after
#### this file.
####

config(	'MAIL_DOMAIN',	'CORE',	$_SERVER['SERVER_NAME']);
config(	'XMPP_DOMAIN',	'CORE',	'');


#### These are sort-of-sane defaults
config(	'DEFAULT_PAGE_TITLE',	'CORE',	$_SERVER['SERVER_NAME'] . ' Murder');
config(	'GROUP',	'CORE',	'users');
config(	'HTTP_CACHE_MAX_AGE',	'CORE',	3600);
config(	'INDEX',	'WEB',	'index default home');
config(	'STYLE',	'CORE',	'/static/css/blue.css');
config(	'MURDER_DIR',	'CORE',	sys_get_temp_dir()  . '/murder/');



### These shouldn't need to be changed
config(	'USER_LIST',	'CORE',	'');
config(	'GROUP_LIST',	'CORE',	'');
config(	'PUBLIC_BASE',	'CORE',	'');	# path off of the home directory
config(	'USER_NOFINGER','CORE',	'.nofinger');
config(	'USER_PGPKEY', 	'CORE',	'.pgpkey');
config(	'USER_PLAN', 	'CORE',	'.plan');
config(	'USER_PROJECT', 'CORE',	'.project');
config(	'WEB_DIR', 	'CORE',	'public_html');
config(	'USER_BASE',	'CORE',	'.murder');
config(	'USER_IMAGE',	'CORE',	'me.img');
config(	'USER_THUMB',	'CORE',	'me.thmb');

config(	'PLUGIN_DIR',	'CORE',	dirname($_SERVER['SCRIPT_FILENAME']) . '/plugins/enabled/');

?>
