<?php
# Copyright (C) 2011 Matthew Wronka <murder@projects.matt.wronka.org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

class ComponentRenderer extends PageRenderer
{
	public function __construct($page, $arguments, $contentType)
	{
		parent::__construct($page, $arguments);
	}

	public function startComponent($name)
	{
		print "<div id=\"${name}\">";
	}

	public function endComponent($name)
	{
		print '</div>';
	}

	public function startPage($page)
	{
		print "<?xml version='1.0' ?>\n<content>\n";
	}

	public function endPage($page)
	{
		print "\n</content>";
	}

}

?>
