<?php
# Copyright (C) 2011 Matthew Wronka <murder@projects.matt.wronka.org>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, version 3 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>


function murder_mail($target, $subject, $body, $headers=false)
{
	$to = ($target ? $target->getEMail() : '');
	if(!$to)
	{
		page()->msg("Invalid mail recipient.");
		return;
	}
	$myheaders['X-Mailer'] = 'MurderMail ' . Murder::version();
	if($headers && is_array($headers))
	{
		foreach($headers as $k => $v)
		{
			$myheaders[$k] = $v;
		}
	}

	$headerString = '';
	foreach($myheaders as $k => $v)
	{
		$headerString.= "${k}:${v}\r\n";
	}
	$mailReturn = mail($to, $subject, $body, $headerString);
	if(!$mailReturn)
	{
		page()->msg("There was an error sending the eMail.");
	}
}
